OracleAppEJBModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppEJBModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppEJBModule

All Superinterfaces:
  ConfigurationItem, EJBModule, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule

    public interface OracleAppEJBModule

extends EJBModule

OracleAppEJBModule

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`OracleAppJ2EEApplication` | `getApplication()`
`LogicalContent` | `getProprietaryDeploymentDescriptor()`
`java.lang.String` | `getState()`
`LogicalContent` | `getWsDeploymentDescriptor()`
`boolean` | `hasApplication()`
`boolean` | `hasProprietaryDeploymentDescriptor()`
`boolean` | `hasState()`
`boolean` | `hasWsDeploymentDescriptor()`
`void` | `setApplication(OracleAppJ2EEApplication application)`
`void` | `setProprietaryDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setState(java.lang.String state)`
`void` | `setWsDeploymentDescriptor(LogicalContent descriptor)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    OracleAppJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplication

    void setApplication(OracleAppJ2EEApplication application)

### hasApplication

    boolean hasApplication()

### getState

    java.lang.String getState()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setState

    void setState(java.lang.String state)

### hasState

    boolean hasState()

### getProprietaryDeploymentDescriptor

    LogicalContent getProprietaryDeploymentDescriptor()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProprietaryDeploymentDescriptor

    void setProprietaryDeploymentDescriptor(LogicalContent descriptor)

### hasProprietaryDeploymentDescriptor

    boolean hasProprietaryDeploymentDescriptor()

### getWsDeploymentDescriptor

    LogicalContent getWsDeploymentDescriptor()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWsDeploymentDescriptor

    void setWsDeploymentDescriptor(LogicalContent descriptor)

### hasWsDeploymentDescriptor

    boolean hasWsDeploymentDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD